# polespotter

Find stage poles given fracture zones and abyssal hills

## Synopsis

gmt polespotter [ -A abyssalhills ] [ -D spacing ] [ -E a|f sigma ] [ -F fracturezones ] [ -G outgrid ] [ -I increment ] [ -N ] [ -R region ] [ -S l|p|s[modifiers] ] [ -V[level] ] [ -bi binary ] [ -di nodata[+c col] ] [ -e regexp ] [ -h headers ] [ -i flags ] [ -o flags ] [ -r reg ] [ -:[i|o] ] [ --PAR=value ]

Note: No space is allowed between the option flag and the associated arguments.

## Description

polespotter reads line segments (abyssal hill fabric lineaments and/or fracture zone lineaments) and performs one of three types of scans. In spot mode it computes great circles for each individual segment along these lines. The bisector great circles to fracture zones and the great circle extensions of abyssal hills are expected to intersect at potential rotation poles. The assumption is that abyssal hill lines are meridians and fracture zones are parallels with respect to the rotation pole. Line density may be computed and returned via a grid, the great circle lines may be returned via standard output, and the intersections of the great circles may be saved to file. In line mode it will determine which line segments are compatible with a given trial pole, while in pole mode it will compute chi-squared misfits for all the poles defined by the grid.

## Optional Arguments

-A abyssalhills

  File with multiple segments of abyssal hill lineaments. These are assumed to reflect the great circle direction towards the rotation pole in effect when the seafloor was formed.

-D step

  Sets the line increment for all great circles produced, in km [5]. Actual spacing will be adjusted to give an integer number of steps along the full circle.

-E

  Provide different 1-sigma angular uncertainty (in degrees) in the orientation of abyssal hills or fracture zones. Give -Ea sigma to set the former [1] and -Ef sigma for the latter [1]. These sigma values are then used to form weights = 1/sigma.

-F fracturezones

  File with multiple segments of fracture zone lineaments. These are assumed to reflect small circles about the rotation pole in effect when the seafloor was formed.

-G outgrid[=ID][+d divisor][+n invalid][+o offset|a][+s scale|a][:driver[dataType][+c options]]

> Optionally, append =ID for writing a specific file format. The following modifiers are supported:

> > - +d - Divide data values by given divisor [Default is 1].

> > - +n - Replace data values matching invalid with a NaN.

> > - +o - Offset data values by the given offset, or append a for automatic range offset to preserve precision for integer grids [Default is 0].

> > - +s - Scale data values by the given scale, or append a for automatic scaling to preserve precision for integer grids [Default is 1].

> Note: Any offset is added before any scaling. +sa also sets +oa (unless overridden). To write specific formats via GDAL, use =gd and supply driver (and optionally dataType) and/or one or more concatenated GDAL -co options using +c. See the “Writing grids and images” cookbook section for more details.

-I x_inc[+e|n][/y_inc[+e|n]]

  Set the grid spacing as x_inc [and optionally y_inc].

  Geographical (degrees) coordinates: Optionally, append an increment unit. Choose among:

  > - d - Indicate arc degrees

  > - m - Indicate arc minutes

  > - s - Indicate arc seconds

  > If one of e (meter), f (foot), k (km), M (mile), n (nautical mile) or u (US survey foot), the the increment will be converted to the equivalent degrees longitude at the middle latitude of the region (the conversion depends on PROJ_ELLIPSOID). If y_inc is not given or given but set to 0 it will be reset equal to x_inc; otherwise it will be converted to degrees latitude.

  All coordinates: The following modifiers are supported:

  > - +e - Slightly adjust the max x (east) or y (north) to fit exactly the given increment if needed [Default is to slightly adjust the increment to fit the given domain].

  > - +n - Define the number of nodes rather than the increment, in which case the increment is recalculated from the number of nodes, the registration (see GMT File Formats), and the domain. Note: If -R grdfile is used then the grid spacing and the registration have already been initialized; use -I and -R to override these values.

-N

  Normalize the grid so max value equals 1 [no normalization].

-R west/east/south/north[/zmin/zmax][+r][+u unit]

> Specify the region of interest.

> The region may be specified in one of several ways:

> 1. -R west/east/south/north. This is the standard way to specify geographic regions when using map projections where meridians and parallels are rectilinear. The coordinates may be specified in decimal degrees or in [±]dd:mm[:ss.xxx][W|E|S|N] format.

> 2. -R west/south/east/north+r. This form is useful for map projections that are oblique, making meridians and parallels poor choices for map boundaries. Here, we instead specify the lower left corner and upper right corner geographic coordinates, followed by the modifier +r. This form guarantees a rectangular map even though lines of equal longitude and latitude are not straight lines.

> 3. -R g or -R d. These forms can be used to quickly specify the global domain (0/360 for -Rg and -180/+180 for -Rd in longitude, with -90/+90 in latitude).

> 4. -R code1,code2,…[+e|r|R incs]. This indirectly supplies the region by consulting the DCW (Digital Chart of the World) database and derives the bounding regions for one or more countries given by the codes. Simply append one or more comma-separated countries using either the two-character ISO 3166-1 alpha-2 convention (e.g., NO) or the full country name (e.g., Norway). To select a state within a country (if available), append .state (e.g, US.TX), or the full state name (e.g., Texas). To specify a whole continent, spell out the full continent name (e.g., -RAfrica). Finally, append any DCW collection abbreviations or full names for the extent of the collection or named region. All names are case-insensitive. The following modifiers can be appended:

>    > - +r to adjust the region boundaries to be multiples of the steps indicated by inc, xinc/yinc, or winc/einc/sinc/ninc [default is no adjustment]. For example, -R FR+r1 will select the national bounding box of France rounded to nearest integer degree, where inc can be positive to expand the region or negative to shrink the region.

>    > - +R to adjust the region by adding the amounts specified by inc, xinc/yinc, or winc/einc/sinc/ninc [default is no extension], where inc can be positive to expand the region or negative to shrink the region.

>    > - +e to adjust the region boundaries to be multiples of the steps indicated by inc, xinc/yinc, or winc/einc/sinc/ninc, while ensuring that the bounding box is adjusted by at least 0.25 times the increment [default is no adjustment], where inc can be positive to expand the region or negative to shrink the region.

> 5. -R xmin/xmax/ymin/ymax[+u unit] specifies a region in projected units (e.g., UTM meters) where xmin/xmax/ymin/ymax are Cartesian projected coordinates compatible with the chosen projection (-J) and unit is an allowable distance unit [e]; we inversely project to determine the actual rectangular geographic region. For projected regions centered on (0,0) you may use the short-hand -R halfwidth[/halfheight]+u unit, where halfheight defaults to halfwidth if not given. This short-hand requires the +u modifier.

> 6. -R justify lon0/lat0/nx/ny, where justify is a 2-character combination of L|C|R (for left, center, or right) and T|M|B (for top, middle, or bottom) (e.g., BL for lower left). The two character code justify indicates which point on a rectangular region region the lon0/lat0 coordinates refer to and the grid dimensions nx and ny are used with grid spacings given via -I to create the corresponding region. This method can be used when creating grids. For example, -RCM 25/25/50/50 specifies a 50x50 grid centered on 25,25.

> 7. -R gridfile. This will copy the domain settings found for the grid in specified file. Note that depending on the nature of the calling module, this mechanism will also set grid spacing and possibly the grid registration (see Grid registration: The -r option).

> 8. -Ra[uto] or -Re[xact]. Under modern mode, and for plotting modules only, you can automatically determine the region from the data used. You can either get the exact area using -Re [Default if no -R is given] or a slightly larger area sensibly rounded outwards to the next multiple of increments that depend on the data range using -Ra.

-Sl|p|s[modifiers]

  Set the scan mode for this run. Choose from lines, poles, or spots. Depending on the mode there may be required and optional arguments as indicated below:

-Sl plon/plat[+m]

> Line mode means we accept a plon/plat trial pole location and determine how compatible each data segment is with the predictions of small circles (for fracture zones) and meridians (for abyssal hills). By default we report summary statistics (chi2, table, segment, type) for each line segment. Append +m to instead report the misfit information (mlon, mlat, del_angle, chi2, table, segment, type) for each mid-point along all multi-point line segments. The information is written to standard output.

-Sp

  Pole mode means we search for all poles on the given grid and determine the weighted chi-square misfit to all given line constraints. This mode requires -G, -R, -I (and optionally -r).

-Ss[+c xfile][+l]

  Spot mode means we compute bisectors to fracture zones and meridians along abyssal hills and determine intersections of all these great circles. You can append any of two modifiers: +l will dump all great circles produced to standard output [no output], and +c xfile will compute the intersections of all great circles and write the locations to xfile. This output has 5 columns: lon, lat, weight, cos, type, where weight is the combined length weight from the two generating line segments, cos is the cosine of the angle between the intersecting lines, and type is either 0 (AH intersect AH), 1 (AH intersect FZ), or 2 (FZ intersect FZ), where AH means an abyssal hill great circle and FZ means a bisector great circle to a fracture zone.

-V[level]

  Select verbosity level [w]. (See full description) (See cookbook information).

-bi record[+b|l] (more …)

  Select native binary format for primary table input. [Default is 5 input columns].

-di nodata[+c col] (more …)

  Replace input columns that equal nodata with NaN.

-e[~]“pattern” | -e[~]/regexp/[i] (more …)

  Only accept data records that match the given pattern.

-h[i|o][n][+c][+d][+m segheader][+r remark][+t title] (more …)

  Skip or produce header record(s).

-i cols[+l][+d divisor][+s scale|d|k][+o offset][,…][,t[word]] (more …)

  Select input columns and transformations (0 is first column, t is trailing text, append word to read one word only).

-o cols[+l][+d divisor][+s scale|d|k][+o offset][,…][,t[word]] (more …)

  Select output columns and transformations (0 is first column, t is trailing text, append word to write one word only).

-r[g|p] (more …)

  Set node registration [gridline].

-:[i|o] (more …)

  Swap 1st and 2nd column on input and/or output.

-^ or just -

  Print a short message about the syntax of the command, then exit (Note: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exit.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exit.

--PAR=value

  Temporarily override a GMT default setting; repeatable. See gmt.conf for parameters.

## Geodetic versus Geocentric Coordinates

All spherical rotations are applied to geocentric coordinates. This means that incoming data points and grids are considered to represent geodetic coordinates and must first be converted to geocentric coordinates. Rotations are then applied, and the final reconstructed points are converted back to geodetic coordinates. This default behavior can be bypassed if the ellipsoid setting PROJ_ELLIPSOID is changed to Sphere.

## Notes

1. Each input line is expected to contain two or more points, and each consecutive pairs of points define a great circle line segment. For fracture zones, these points should be digitized often enough so that the great circle between then can approximate the small circle.

2. All line segments are given equal angular uncertainty [1, unless changed by -E]. However, individual line segments can override this weight by adding a -D sigma argument in the segment headers (in degrees).

## Examples

To create a polespotting image from the abyssal hill and fracture zone fabric (lon, lat) data in the files hills.txt and fractures.txt, on a 1x1 degree grid for the northern hemisphere, sampling the great circles every 10 km, and also dump the great circles to standard output, try

    gmt polespotter -Ahills.txt -Ffractures.txt -D10 -Gpoles.nc -R0/360/0/90 -I1 -V -Ss+l > lines.txt

This file can then be plotted with grdimage.

## See Also

gmt, grdimage, grdrotater, grdspotter, project, mapproject, backtracker, gmtpmodeler, gmtvector, grdpmodeler, grdrotater, originater